Bug 1810819 - Review Request: libqmatrixclient - Qt5 library to write cross-platform clients for Matrix
Summary: Review Request: libqmatrixclient - Qt5 library to write cross-platform client...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1810820
TreeView+ depends on / blocked
 
Reported: 2020-03-05 23:23 UTC by Brendan Early
Modified: 2020-04-05 16:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-05 16:32:50 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 Robert-André Mauchin 🐧 2020-03-22 23:15:54 UTC
 - Use a better name for your archive:

Source0: https://github.com/quotient-im/libQuotient/archive/%{version}/%{name}-%{version}.tar.gz


 - Valid shorthand for LGPL 2.1 is LGPLv2

License: LGPLv2


 - The tests are not working:

~/build/BUILD/libQuotient-0.5.2/x86_64-redhat-linux-gnu ~/build/BUILD/libQuotient-0.5.2
+ pushd x86_64-redhat-linux-gnu
+ ctest --output-on-failure
Test project /builddir/build/BUILD/libQuotient-0.5.2/x86_64-redhat-linux-gnu
No tests were found!!!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Creative Commons
     Attribution 4.0 International License", "GNU Lesser General Public
     License (v2.1 or later)". 164 files have unknown license. Detailed
     output of licensecheck in
     /home/bob/packaging/review/libqmatrixclient/review-
     libqmatrixclient/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libqmatrixclient-0.5.2-1.fc33.x86_64.rpm
          libqmatrixclient-devel-0.5.2-1.fc33.x86_64.rpm
          libqmatrixclient-debuginfo-0.5.2-1.fc33.x86_64.rpm
          libqmatrixclient-debugsource-0.5.2-1.fc33.x86_64.rpm
          libqmatrixclient-0.5.2-1.fc33.src.rpm
libqmatrixclient.x86_64: W: spelling-error %description -l en_US libQuotient -> lib Quotient, lib-quotient, quotient
libqmatrixclient.x86_64: W: invalid-license LGPLv2.1
libqmatrixclient-devel.x86_64: W: invalid-license LGPLv2.1
libqmatrixclient-devel.x86_64: W: no-documentation
libqmatrixclient-debuginfo.x86_64: W: invalid-license LGPLv2.1
libqmatrixclient-debugsource.x86_64: W: invalid-license LGPLv2.1
libqmatrixclient.src: W: spelling-error %description -l en_US libQuotient -> lib Quotient, lib-quotient, quotient
libqmatrixclient.src: W: invalid-license LGPLv2.1
5 packages and 0 specfiles checked; 0 errors, 8 warnings.

Comment 3 Robert-André Mauchin 🐧 2020-03-24 16:31:03 UTC
Package approved.

Comment 4 Gwyn Ciesla 2020-03-26 13:57:13 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libqmatrixclient


Note You need to log in before you can comment on or make changes to this bug.